Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDate.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDate.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPurchaseOrderDate.cs	(revision 267)
@@ -63,19 +63,20 @@
         /// <returns></returns>
         private string CreateSelectSQL()
         {
-            string strcmd = "SELECT";
+            StringBuilder strcmd = new StringBuilder();
 
-            strcmd += " ConstructionCode";                                  // 工事番号
-            strcmd += ", SeqNo";                                            // 注文書枝番
-            strcmd += ", CompanyCode";                                      // 協力会社コード
-            strcmd += ", DATE_FORMAT(SendDate, '%Y/%m/%d')";                // 注文書郵送日
-            strcmd += ", DATE_FORMAT(ReturnDate, '%Y/%m/%d')";              // 注文書返送日
-            strcmd += ", DATE_FORMAT(ReturnCheckDate, '%Y/%m/%d')";	        // 注文書返送確認日
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM PurchaseOrderDate";
+            strcmd.Append("SELECT");
+            strcmd.Append(" ConstructionCode");                                  // 工事番号
+            strcmd.Append(", SeqNo");                                            // 注文書枝番
+            strcmd.Append(", CompanyCode");                                      // 協力会社コード
+            strcmd.Append(", DATE_FORMAT(SendDate, '%Y/%m/%d')");                // 注文書郵送日
+            strcmd.Append(", DATE_FORMAT(ReturnDate, '%Y/%m/%d')");              // 注文書返送日
+            strcmd.Append(", DATE_FORMAT(ReturnCheckDate, '%Y/%m/%d')");	        // 注文書返送確認日
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM PurchaseOrderDate");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -90,16 +91,17 @@
         public bool SelectAction(string AddSQLString, ref List<PurchaseOrderDate> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -113,7 +115,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -130,16 +132,17 @@
         public bool SelectAction(string AddSQLString, ref PurchaseOrderDate data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -153,7 +156,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -167,43 +170,43 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(PurchaseOrderDate work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 bool bColFirst = true;
-                strcmd = "INSERT INTO PurchaseOrderDate";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO PurchaseOrderDate");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format(" {0}", work.ConstructionCode);                 // 工事番号
-                strcmd += string.Format(",{0}", work.SeqNo);                            // 注文書枝番
+                strcmd.AppendFormat(" {0}", work.ConstructionCode);                 // 工事番号
+                strcmd.AppendFormat(",{0}", work.SeqNo);                            // 注文書枝番
 
-                strcmd += string.Format(",{0}", work.CompanyCode);                      // 協力会社コード
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(",{0}", work.CompanyCode);                      // 協力会社コード
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                             work.SendDate.ToShortDateString());         // 注文書郵送日
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                             work.ReturnDate.ToShortDateString());       // 注文書返送日
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                             work.ReturnCheckDate.ToShortDateString());  // 注文書返送確認日
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -217,51 +220,51 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<PurchaseOrderDate> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO PurchaseOrderDate";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO PurchaseOrderDate");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (PurchaseOrderDate work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format(" {0}", work.ConstructionCode);                 // 工事番号
-                    strcmd += string.Format(",{0}", work.SeqNo);                            // 注文書枝番
+                    strcmd.AppendFormat(" {0}", work.ConstructionCode);                 // 工事番号
+                    strcmd.AppendFormat(",{0}", work.SeqNo);                            // 注文書枝番
 
-                    strcmd += string.Format(",{0}", work.CompanyCode);                      // 協力会社コード
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
+                    strcmd.AppendFormat(",{0}", work.CompanyCode);                      // 協力会社コード
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.SendDate.ToShortDateString());         // 注文書郵送日
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.ReturnDate.ToShortDateString());       // 注文書返送日
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')",
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')",
                                                 work.ReturnCheckDate.ToShortDateString());  // 注文書返送確認日
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -276,35 +279,35 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, PurchaseOrderDate data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE PurchaseOrderDate";
+                strcmd.Append("UPDATE PurchaseOrderDate");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format("  ConstructionCode = {0}", data.ConstructionCode);	    // 工事番号
-                strcmd += string.Format(", SeqNo = {0}", data.SeqNo);                           // 注文書枝番
-                strcmd += string.Format(", CompanyCode = {0}", data.CompanyCode);               // 協力会社コード
+                strcmd.AppendFormat("  ConstructionCode = {0}", data.ConstructionCode);	    // 工事番号
+                strcmd.AppendFormat(", SeqNo = {0}", data.SeqNo);                           // 注文書枝番
+                strcmd.AppendFormat(", CompanyCode = {0}", data.CompanyCode);               // 協力会社コード
 
-                strcmd += string.Format(", SendDate = STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(", SendDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                     data.SendDate.ToShortDateString());         // 注文書郵送日
-                strcmd += string.Format(", ReturnDate = STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(", ReturnDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                     data.ReturnDate.ToShortDateString());       // 注文書返送日
-                strcmd += string.Format(", ReturnCheckDate = STR_TO_DATE('{0}','%Y/%m/%d')",
+                strcmd.AppendFormat(", ReturnCheckDate = STR_TO_DATE('{0}','%Y/%m/%d')",
                                                     data.ReturnCheckDate.ToShortDateString());  // 注文書返送確認日
                 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -320,18 +323,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM PurchaseOrderDate", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM PurchaseOrderDate", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -344,44 +347,44 @@
         /// <returns></returns>
         public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int SeqNo = 0)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE PurchaseOrderDate";
+                strcmd.Append("UPDATE PurchaseOrderDate");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)TableColumn.ConstructionCode:	        // 工事番号
-                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SeqNo:                    // 注文書枝番
-                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SeqNo = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CompanyCode:              // 協力会社コード
-                        strcmd += string.Format(" CompanyCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" CompanyCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SendDate:                 // 注文書郵送日
-                        strcmd += string.Format("SendDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" SendDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.ReturnDate:               // 注文書返送日
-                        strcmd += string.Format("ReturnDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" ReturnDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.ReturnCheckDate:          // 注文書返送確認日
-                        strcmd += string.Format("ReturnCheckDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" ReturnCheckDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(ConstructionCode, SeqNo);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, SeqNo));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -426,19 +429,19 @@
         /// </summary>
         public string CreatePrimarykeyString(int ConstructionCode, int SeqNo = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode);
+                strWork.AppendFormat(" Where ConstructionCode = {0}", ConstructionCode);
                 if (SeqNo != 0)
-                    strWork += string.Format(" And SeqNo = {0}", SeqNo);
+                    strWork.AppendFormat(" And SeqNo = {0}", SeqNo);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
